<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="pt">
<head>
<!-- Generated by javadoc (11.0.22) on Sat Apr 20 15:06:18 BRT 2024 -->
<title>All Classes (desafiotcebackend 0.0.1-SNAPSHOT API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2024-04-20">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.min.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="All Classes (desafiotcebackend 0.0.1-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":2,"i1":2,"i2":2,"i3":2,"i4":2,"i5":1,"i6":1,"i7":2,"i8":2,"i9":2,"i10":2,"i11":2,"i12":2,"i13":2,"i14":2,"i15":8,"i16":2,"i17":2,"i18":2,"i19":2,"i20":2,"i21":2,"i22":2,"i23":2,"i24":1,"i25":1,"i26":2,"i27":2};
var tabs = {65535:["t0","All Classes"],1:["t1","Interface Summary"],2:["t2","Class Summary"],8:["t4","Exception Summary"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="All&amp;nbsp;Classes" class="title">All&nbsp;Classes</h1>
</div>
<div class="allClassesContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary">
<caption><span id="t0" class="activeTableTab"><span>All Classes</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Interface Summary</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Class Summary</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Exception Summary</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><a href="com/daulio/desafiotcebackend/security/AutenticationDTO.html" title="class in com.daulio.desafiotcebackend.security">AutenticationDTO</a></td>
<th class="colLast" scope="row">
<div class="block">Classe DTO para resposta do login no sistema</div>
</th>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><a href="com/daulio/desafiotcebackend/model/Car.html" title="class in com.daulio.desafiotcebackend.model">Car</a></td>
<th class="colLast" scope="row">
<div class="block">Representa entidade do banco de dados para carros.</div>
</th>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><a href="com/daulio/desafiotcebackend/controller/CarController.html" title="class in com.daulio.desafiotcebackend.controller">CarController</a></td>
<th class="colLast" scope="row">
<div class="block">Representa o controller de carros do usuário no sistema</div>
</th>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><a href="com/daulio/desafiotcebackend/converter/CarConverter.html" title="class in com.daulio.desafiotcebackend.converter">CarConverter</a></td>
<th class="colLast" scope="row">
<div class="block">Classe para converção de DTO para Entity e de Entity para DTO dos dados de carros</div>
</th>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><a href="com/daulio/desafiotcebackend/dto/CarDTO.html" title="class in com.daulio.desafiotcebackend.dto">CarDTO</a></td>
<th class="colLast" scope="row">
<div class="block">Classe DTO para requisição e resposta dos endpoints de carros.</div>
</th>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><a href="com/daulio/desafiotcebackend/repository/CarRepository.html" title="interface in com.daulio.desafiotcebackend.repository">CarRepository</a></td>
<th class="colLast" scope="row">
<div class="block">Repository para entidade Car</div>
</th>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><a href="com/daulio/desafiotcebackend/service/CarService.html" title="interface in com.daulio.desafiotcebackend.service">CarService</a></td>
<th class="colLast" scope="row">
<div class="block">Representa interface do service com os métodos para carros no sistema.</div>
</th>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><a href="com/daulio/desafiotcebackend/service/CarServiceImpl.html" title="class in com.daulio.desafiotcebackend.service">CarServiceImpl</a></td>
<th class="colLast" scope="row">
<div class="block">Representa service com os métodos para carros no sistema.</div>
</th>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><a href="com/daulio/desafiotcebackend/security/Consts.html" title="class in com.daulio.desafiotcebackend.security">Consts</a></td>
<th class="colLast" scope="row">
<div class="block">Classe para constantes de segurança</div>
</th>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><a href="com/daulio/desafiotcebackend/config/CorsConfig.html" title="class in com.daulio.desafiotcebackend.config">CorsConfig</a></td>
<th class="colLast" scope="row">
<div class="block">Classe para configuração dos Cors</div>
</th>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><a href="com/daulio/desafiotcebackend/DesafiotcebackendApplication.html" title="class in com.daulio.desafiotcebackend">DesafiotcebackendApplication</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><a href="com/daulio/desafiotcebackend/security/JWTAutenticateFilter.html" title="class in com.daulio.desafiotcebackend.security">JWTAutenticateFilter</a></td>
<th class="colLast" scope="row">
<div class="block">Classe para configurações e respostas de autenticação</div>
</th>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><a href="com/daulio/desafiotcebackend/security/JWTConfiguration.html" title="class in com.daulio.desafiotcebackend.security">JWTConfiguration</a></td>
<th class="colLast" scope="row">
<div class="block">Classe para configurações do JWT</div>
</th>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><a href="com/daulio/desafiotcebackend/security/JWTValidateFilter.html" title="class in com.daulio.desafiotcebackend.security">JWTValidateFilter</a></td>
<th class="colLast" scope="row">
<div class="block">Classe para validação de autenticação</div>
</th>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><a href="com/daulio/desafiotcebackend/controller/MeController.html" title="class in com.daulio.desafiotcebackend.controller">MeController</a></td>
<th class="colLast" scope="row">
<div class="block">Representa o controller que traz dados do usuário logado no sistema</div>
</th>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><a href="com/daulio/desafiotcebackend/exception/RegraNegocioException.html" title="class in com.daulio.desafiotcebackend.exception">RegraNegocioException</a></td>
<th class="colLast" scope="row">
<div class="block">Classe para tratamento de erro</div>
</th>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><a href="com/daulio/desafiotcebackend/config/SecurityConfig.html" title="class in com.daulio.desafiotcebackend.config">SecurityConfig</a></td>
<th class="colLast" scope="row">
<div class="block">Classe para configuração de Segurança</div>
</th>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><a href="com/daulio/desafiotcebackend/config/SwaggerConfig.html" title="class in com.daulio.desafiotcebackend.config">SwaggerConfig</a></td>
<th class="colLast" scope="row">&nbsp;</th>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><a href="com/daulio/desafiotcebackend/model/User.html" title="class in com.daulio.desafiotcebackend.model">User</a></td>
<th class="colLast" scope="row">
<div class="block">Representa entidade do banco de dados para usuários.</div>
</th>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><a href="com/daulio/desafiotcebackend/controller/UserController.html" title="class in com.daulio.desafiotcebackend.controller">UserController</a></td>
<th class="colLast" scope="row">
<div class="block">Representa o controller de usuários no sistema.</div>
</th>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><a href="com/daulio/desafiotcebackend/converter/UserConverter.html" title="class in com.daulio.desafiotcebackend.converter">UserConverter</a></td>
<th class="colLast" scope="row">
<div class="block">Classe para converção de DTO para Entity e de Entity para DTO dos dados do usuário</div>
</th>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><a href="com/daulio/desafiotcebackend/model/UserDetailsModel.html" title="class in com.daulio.desafiotcebackend.model">UserDetailsModel</a></td>
<th class="colLast" scope="row">
<div class="block">Classe que implementa UserDetails para autenticação.</div>
</th>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><a href="com/daulio/desafiotcebackend/security/UserDetailsServiceImpl.html" title="class in com.daulio.desafiotcebackend.security">UserDetailsServiceImpl</a></td>
<th class="colLast" scope="row">
<div class="block">Classe para validação de login do usuário</div>
</th>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><a href="com/daulio/desafiotcebackend/dto/UserDTO.html" title="class in com.daulio.desafiotcebackend.dto">UserDTO</a></td>
<th class="colLast" scope="row">
<div class="block">Classe DTO para requisição e resposta dos endpoints de usuários.</div>
</th>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><a href="com/daulio/desafiotcebackend/repository/UserRepository.html" title="interface in com.daulio.desafiotcebackend.repository">UserRepository</a></td>
<th class="colLast" scope="row">
<div class="block">Repository para entidade User</div>
</th>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><a href="com/daulio/desafiotcebackend/service/UserService.html" title="interface in com.daulio.desafiotcebackend.service">UserService</a></td>
<th class="colLast" scope="row">
<div class="block">Representa interface do service com os métodos para usuários no sistema.</div>
</th>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><a href="com/daulio/desafiotcebackend/service/UserServiceImpl.html" title="class in com.daulio.desafiotcebackend.service">UserServiceImpl</a></td>
<th class="colLast" scope="row">
<div class="block">Representa service com os métodos para usuários no sistema.</div>
</th>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><a href="com/daulio/desafiotcebackend/config/WebConfig.html" title="class in com.daulio.desafiotcebackend.config">WebConfig</a></td>
<th class="colLast" scope="row">
<div class="block">Classe para configuração dos Filtros Web</div>
</th>
</tr>
</table>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small>Copyright &#169; 2024. All rights reserved.</small></p>
</footer>
</body>
</html>
